TARGET = test
DESTDIR = .
TEMPLATE = app

SOURCES += main.cpp

CONFIG += qt \
          debug_and_release

OBJECTS_DIR = ./tmp/obj

# ITK Libraries
ITKLIBDIR = $$(ITKLIBDIR)
isEmpty(ITKLIBDIR){
    unix:ITKLIBDIR = /usr/lib/InsightToolkit
    macx:ITKLIBDIR = /usr/local/lib/InsightToolkit
    win32:ITKLIBDIR = C:\InsightToolkit\lib\InsightToolkit
}

ITKINCLUDEDIR = $$(ITKINCLUDEDIR)
isEmpty(ITKINCLUDEDIR){
    unix:ITKINCLUDEDIR = /usr/include/InsightToolkit
    macx:ITKINCLUDEDIR = /usr/local/include/InsightToolkit
    win32:ITKINCLUDEDIR = C:\InsightToolkit\include\InsightToolkit
}

INCLUDEPATH += $${ITKINCLUDEDIR} \
              $${ITKINCLUDEDIR}/Algorithms \
              $${ITKINCLUDEDIR}/BasicFilters \
              $${ITKINCLUDEDIR}/Common \
              $${ITKINCLUDEDIR}/Numerics \
              $${ITKINCLUDEDIR}/IO \
              $${ITKINCLUDEDIR}/Numerics/FEM \
              $${ITKINCLUDEDIR}/Numerics/Statistics \
              $${ITKINCLUDEDIR}/SpatialObject \
              $${ITKINCLUDEDIR}/Utilities/MetaIO \
              $${ITKINCLUDEDIR}/Utilities \
              $${ITKINCLUDEDIR}/Utilities/vxl/vcl \
              $${ITKINCLUDEDIR}/Utilities/vxl/core \
              $${ITKINCLUDEDIR}/gdcm/src \
              $${ITKINCLUDEDIR}/Utilities/NrrdIO

LIBS += -L$${ITKLIBDIR} \
        -lITKAlgorithms \
        -lITKBasicFilters \
        -lITKCommon \
        -lITKDICOMParser \
        -lITKEXPAT \
        -lITKFEM \
        -lITKIO \
        -lITKMetaIO \
        -lITKNrrdIO \
        -lITKNumerics \
        -lITKSpatialObject \
        -lITKStatistics \
        -litkgdcm \
        -litkjpeg12 \
        -litkjpeg16 \
        -litkjpeg8 \
        -litksys \
        -litkvcl \
        -litkvnl \
        -litkvnl_algo \
        -litkvnl_inst \
        -lITKniftiio \
        -litkopenjpeg \
        -lITKznz

win32 {
 LIBS += -litktiff \
         -litkpng \
#         -litknetlib \
         -litkv3p_netlib\
         -litkzlib
}

win32{
  LIBS += -ladvapi32 \
          -lRpcrt4 \
		  -lNetAPI32 \
		  -lWSock32 \
		  -lSnmpAPI
}
